Bug 1931863 - NetworkManager overlay FS not being created on None platform
Summary: NetworkManager overlay FS not being created on None platform
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Machine Config Operator
Version: 4.8
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
: 4.7.z
Assignee: Brad P. Crochet
QA Contact: Michael Nguyen
URL:
Whiteboard:
Depends On: 1928473
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-02-23 12:33 UTC by OpenShift BugZilla Robot
Modified: 2021-03-30 04:46 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-03-30 04:46:29 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift machine-config-operator pull 2426 0 None open [release-4.7] Bug 1931863: Apply system-connections-merged to all platforms 2021-02-23 12:33:47 UTC
Red Hat Product Errata RHSA-2021:0957 0 None None None 2021-03-30 04:46:44 UTC

Comment 4 Michael Nguyen 2021-03-22 14:00:34 UTC
Verified on 4.7.0-0.nightly-2021-03-22-025559

$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.7.0-0.nightly-2021-03-22-025559   True        False         30m     Cluster version is 4.7.0-0.nightly-2021-03-22-025559
$ oc get nodes
NAME                                         STATUS   ROLES    AGE   VERSION
ip-10-0-130-23.us-west-2.compute.internal    Ready    master   59m   v1.20.0+bafe72f
ip-10-0-155-231.us-west-2.compute.internal   Ready    worker   46m   v1.20.0+bafe72f
ip-10-0-178-232.us-west-2.compute.internal   Ready    worker   46m   v1.20.0+bafe72f
ip-10-0-191-98.us-west-2.compute.internal    Ready    master   59m   v1.20.0+bafe72f
ip-10-0-195-81.us-west-2.compute.internal    Ready    worker   46m   v1.20.0+bafe72f
ip-10-0-220-197.us-west-2.compute.internal   Ready    master   59m   v1.20.0+bafe72f
$ oc debug node/ip-10-0-155-231.us-west-2.compute.internal
Starting pod/ip-10-0-155-231us-west-2computeinternal-debug ...
To use host binaries, run `chroot /host`
If you don't see a command prompt, try pressing enter.
sh-4.2# 
sh-4.2# chroot /host
sh-4.4# ls -latr /etc/NetworkManager/conf.d/99-keyfiles.conf 
-rw-r--r--. 1 root root 61 Mar 22 13:54 /etc/NetworkManager/conf.d/99-keyfiles.conf
sh-4.4# cat /etc/NetworkManager/conf.d/99-keyfiles.conf
[keyfile]
path=/etc/NetworkManager/system-connections-merged
sh-4.4# cat /etc/tmpfiles.d/nm.conf 
D /run/nm-system-connections 0755 root root - -
D /run/nm-system-connections-work 0755 root root - -
d /etc/NetworkManager/system-connections-merged 0755 root root - -
sh-4.4# findmnt | grep NetworkManager
| `-/etc/NetworkManager/system-connections-merged                                                                                                        overlay                                                                                                                                                                                         overlay    rw,relatime,seclabel,lowerdir=/etc/NetworkManager/system-connections,upperdir=/run/nm-system-connections,workdir=/run/nm-system-connections-work
sh-4.4# exit
exit
sh-4.2# exit
exit

Removing debug pod ...

Comment 6 errata-xmlrpc 2021-03-30 04:46:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.4 security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:0957


Note You need to log in before you can comment on or make changes to this bug.